Name: lxqt-build-tools
Version: 0.3.2
Release: %mkrel 1
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Build tools for the LXQt desktop
URL: http://lxqt.org/
License:  BSD-3-Clause
Group: Graphical desktop/LXQT
#--------------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}qt5core-devel
#--------------------------------------------

%description
These tools used to be spread over the repositories of various 
other components and were summarized to ease dependency management. 
So far many components, in particular [liblxqt]
(https://github.com/lxde/liblxqt), were representing a build 
dependency without being needed themselves but only because their 
repository was providing a subset of the tools which are now 
summarized here. So the use of this repository will reduce 
superfluous and bloated dependencies.

%prep
%setup -q %{name}-%{version}

%cmake_qt5


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

%files
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindFm.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindGLIB.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindMenuCache.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindUDev.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXCB.cmake
%{_datadir}/cmake/lxqt-build-tools/find-modules/FindXdgUserDirs.cmake
%{_datadir}/cmake/lxqt-build-tools/lxqt-build-tools-config-version.cmake
%{_datadir}/cmake/lxqt-build-tools/lxqt-build-tools-config.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtAppTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCompilerSettings.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtConfigVars.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCreatePkgConfigFile.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtCreatePortableHeaders.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtLibTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtPluginTranslationLoader.cpp.in
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslate.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateDesktop.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslateTs.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/LXQtTranslationLoader.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5PatchedLinguistToolsMacros.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5TranslationLoader.cmake
%{_datadir}/cmake/lxqt-build-tools/modules/Qt5TranslationLoader.cpp.in



%changelog
* Fri Aug 04 2017 adrianomorselli <adrianomorselli> 0.3.2-1uplos2017
- update 
